import { CanActivate, ExecutionContext } from '@nestjs/common';
import { CacheService } from '@multiversx/sdk-nestjs-cache';
import { ErdnestConfigService } from '@multiversx/sdk-nestjs-common';
export declare class JwtOrNativeAuthGuard implements CanActivate {
    private readonly erdnestConfigService;
    private readonly cacheService?;
    constructor(erdnestConfigService: ErdnestConfigService, cacheService?: CacheService | undefined);
    canActivate(context: ExecutionContext): Promise<boolean>;
}
