"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NativeAuthInvalidOriginError = void 0;
const sdk_native_auth_server_1 = require("@multiversx/sdk-native-auth-server");
class NativeAuthInvalidOriginError extends sdk_native_auth_server_1.NativeAuthError {
    constructor(actualOrigin, expectedOrigin) {
        super(`Invalid origin '${actualOrigin}'. should be '${expectedOrigin}'`);
    }
}
exports.NativeAuthInvalidOriginError = NativeAuthInvalidOriginError;
//# sourceMappingURL=native.auth.invalid.origin.error.js.map