import { CanActivate, ExecutionContext } from '@nestjs/common';
import { CacheService } from '@multiversx/sdk-nestjs-cache';
import { ErdnestConfigService } from '@multiversx/sdk-nestjs-common';
export declare class NativeAuthGuard implements CanActivate {
    private readonly authServer;
    constructor(erdnestConfigService: ErdnestConfigService, cacheService?: CacheService);
    static getOrigin(headers: Record<string, string>): string;
    canActivate(context: ExecutionContext): Promise<boolean>;
}
